\begin{tikzpicture}[
  scale                      = 0.9,
  align                      = center,
  edge from parent/.style    = {draw, ->,
                                >={Stealth[width=6pt,length=9pt]}},
  level 1/.style             = {level distance=18mm},
  level 2/.style             = {level distance=20mm},
  level 3/.style             = {level distance=20mm},
  every node/.style          = {scale=0.9, shape=rectangle,
                                fill=AbstractDescrNode, text=black,
                                draw=AbstractDescrNodeBorder,
                                line width=0.8mm},
  MatchedNode/.style         = {draw=AbstractDescrNodeMatchedBorder},
  MismatchedNode/.style      = {draw=AbstractDescrNodeMismatchedBorder},
  NotCheckedNode/.style      = {draw=AbstractDescrNodeNotCheckedBorder},
  MatchedStampNode/.style    = {draw=AbstractDescrNodeMatchedBorder, dashed},
  NotCheckedStampNode/.style = {draw=AbstractDescrNodeNotCheckedBorder,
                                dashed}
]
  \Tree [.\node[MismatchedNode]{Descr2};
            [.\node[MismatchedNode]{Descr2};
                [.\node[MismatchedNode]{Descr5};]
                [.\node[MismatchedNode]{Descr5};]]
            [.\node[MismatchedNode](LeftExpr){Descr4};]]
  \begin{scope}[xshift=80mm]
    \Tree [.\node[MismatchedNode]{Descr1};
              [.\node[NotCheckedNode](RightExpr){Descr2};
                  [.\node[NotCheckedStampNode]{StubDescr};]
                  [.\node[NotCheckedNode]{Descr5};]]]
  \end{scope}

  \draw node[draw=white, fill=white, text=black]
        at ($(LeftExpr)!0.4!(RightExpr)$)
        {\huge{\hcancel{$\mathrel{\boldsymbol{\thicksim}}\boldsymbol{=}$}}};
\end{tikzpicture}
